@keyframes showNotice {
	from {
		opacity: 0; translate: 0 -20px;
	}
	to {
		opacity: 1; translate: 0 0;
	}
}

@keyframes hideNotice {
	to {
		opacity: 0; translate: 0 -20px;
	}
}



.notice-wrapper{
    position: fixed;
    top: 10%;
    left: 50%;
    translate: -50%;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.notice-wrapper .notice{
    transition: opacity .25s ease-in-out;
    display: flex;
    align-items: center;
    gap: .5rem;
    padding: .5rem .5rem .5rem .75rem;
    background-color: #27AE60;
    border-radius: 2px;
    box-shadow: 4px 4px 12px 0 rgba(0, 0, 0, 0.08);
    color: #fff;
    font-size: 16px;
    font-weight: 300;
    line-height: 1;
    opacity: 0;
    width: fit-content;
    max-width: min(400px, calc(100vw - 2rem));;
}

.notice-wrapper .notice button{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 24px;
    height: 24px;
    border: none;
    background: #05C46B;
    outline: none;
    border-radius: 2px;
    flex-shrink: 0;
}
.notice-wrapper .notice.error button{
    background: #EC5A25;
}

.notice-wrapper .notice.error{
    background-color: #D93A00;
}

.notice-wrapper .notice:not(:last-child){
    margin-bottom: .75rem;
}

.notice-wrapper .notice.show{
    animation: showNotice 0.5s ease normal;
	-webkit-animation: showNotice 0.5s ease normal;
    opacity: 1;
}
.notice-wrapper .notice.hide{
    animation: closeDialog 0.5s ease normal;
	-webkit-animation: closeDialog 0.5s ease normal;
}